| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- BinnedIsotopicCentroid

# MsXpS::libXpertMassCore::Processing::BinnedIsotopicCentroid Struct

struct MsXpS::libXpertMassCore::Processing::BinnedIsotopicCentroid

This struct describes a calculated isotopic cluster's centroid for a calculated isotopic cluster that was binned so as to remove hyperfine isotopic structure centroids that would be of no use during the matching of centroids with the input mass spectrum's centroids. More...

Header: | `#include <MsXpS/libXpertMassCore/Processing/AbstractLowMassDeconvolver.hpp>`

- List of all members, including inherited members
- BinnedIsotopicCentroid is part of libXpertMassCore Data processing.

## Public Functions

QString | toString() const

## Public Variables

double | intensity
int | isotopeIndex
double | neutralMass

## Detailed Description

Binning of the calculated original isotopic cluster is performed to remove very close peaks that would serve no purpose in the matches with the input mass spectrum's isotopic cluster's centroids. This binning is sometimes called the collapsing of the calculated isotopic cluster.

## Member Function Documentation

### QString BinnedIsotopicCentroid::toString() const

Crafts a string documenting this BinnedIsotopicCentroid instance and returns it.

## Member Variable Documentation

### double BinnedIsotopicCentroid::intensity

Intensity of the centroid.

### int BinnedIsotopicCentroid::isotopeIndex

This variable holds the isotopologue index of the centroid in the isotopic cluster.

Note that when working with heavy isotope-labelled analytes, index 0 is not the index of the monoisotopic centroid.

### double BinnedIsotopicCentroid::neutralMass

Weighted centroid that may result from binning of multiple hyperfine isotopic cluster centroids that had very close mass values.